package com.ejie.ab39a.seguridad;

import java.io.Serializable;

/**
 * 
 *  
 * 
 */
public class FeaDatosTarjeta implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String numeroRefJuegoBarcos = null;
	private String entidadEmisora = null;
	private String entidadTramitadora = null;

	/**
	 * Constructor por defecto
	 */
	public FeaDatosTarjeta() {
		super();
	}

	/**
	 * Constructor con parametros
	 * 
	 * @param numeroRefTarjera
	 *            String numeroRefTarjera
	 * @param entidadEmisoraTarjeta
	 *            String entidadEmisoraTarjeta
	 * @param entidadTramitadoraTarjera
	 *            String entidadTramitadoraTarjera
	 */
	public FeaDatosTarjeta(String numeroRefTarjera, String entidadEmisoraTarjeta, String entidadTramitadoraTarjera) {
		super();
		this.numeroRefJuegoBarcos = numeroRefTarjera;
		this.entidadEmisora = entidadEmisoraTarjeta;
		this.entidadTramitadora = entidadTramitadoraTarjera;
	}

	/**
	 * @return the entidadEmisora
	 */
	public String getEntidadEmisora() {
		return this.entidadEmisora;
	}

	/**
	 * @param entidadEmisora
	 *            the entidadEmisora to set
	 */
	public void setEntidadEmisora(String entidadEmisora) {
		this.entidadEmisora = entidadEmisora;
	}

	/**
	 * @return the entidadTramitadora
	 */
	public String getEntidadTramitadora() {
		return this.entidadTramitadora;
	}

	/**
	 * @param entidadTramitadora
	 *            the entidadTramitadora to set
	 */
	public void setEntidadTramitadora(String entidadTramitadora) {
		this.entidadTramitadora = entidadTramitadora;
	}

	/**
	 * @return the numeroRefJuegoBarcos
	 */
	public String getNumeroRefJuegoBarcos() {
		return this.numeroRefJuegoBarcos;
	}

	/**
	 * @param numeroRefJuegoBarcos
	 *            the numeroRefJuegoBarcos to set
	 */
	public void setNumeroRefJuegoBarcos(String numeroRefJuegoBarcos) {
		this.numeroRefJuegoBarcos = numeroRefJuegoBarcos;
	}

}